Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.compiler.wrapper.dista
Class ColumnInfo

    java.lang.Object
      edu.udo.cs.miningmart.compiler.wrapper.dista.ColumnInfo

    public class ColumnInfo

extends java.lang.Object

Version:
  $Id: ColumnInfo.java,v 1.5 2006/09/27 15:00:03 euler Exp $
Author:
  Alessandro Serra, Timm Euler

Field Summary
`static int` | `BINARY`
`static int` | `CATEGORIAL`
`static int` | `DATE`
`protected int` | `m_concept_type`
`protected java.lang.String` | `m_name`
`protected int` | `m_oracle_type`
`protected java.lang.String` | `m_sql_name`
`protected java.util.Vector` | `m_values`
`static int` | `NOMINAL`
`static int` | `NUMBER`
`static int` | `NUMERIC`
`static int` | `ORDINAL`
`static int` | `SCALAR`
`static int` | `STRING`
`static int` | `TIME`

Constructor Summary
`ColumnInfo()`

Method Summary
`void` | `addValue(java.lang.String s)`
`int` | `getConceptType()`
`int` | `getDataType()`
`java.lang.String` | `getDataTypeName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getSqlName()`
`int` | `getValueIndex(java.lang.Object o)`
`java.util.Vector` | `getValues()`
`void` | `setConceptType(int v)`
`void` | `setConceptType(java.lang.String n)`
`void` | `setDataType(int v)`
`void` | `setDataType(java.lang.String n)`
`void` | `setName(java.lang.String n)`
`void` | `setSqlName(java.lang.String n)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NOMINAL

    public static final int NOMINAL

See Also:
  Constant Field Values

### CATEGORIAL

    public static final int CATEGORIAL

See Also:
  Constant Field Values

### NUMERIC

    public static final int NUMERIC

See Also:
  Constant Field Values

### ORDINAL

    public static final int ORDINAL

See Also:
  Constant Field Values

### SCALAR

    public static final int SCALAR

See Also:
  Constant Field Values

### TIME

    public static final int TIME

See Also:
  Constant Field Values

### BINARY

    public static final int BINARY

See Also:
  Constant Field Values

### STRING

    public static final int STRING

See Also:
  Constant Field Values

### DATE

    public static final int DATE

See Also:
  Constant Field Values

### NUMBER

    public static final int NUMBER

See Also:
  Constant Field Values

### m_name

    protected java.lang.String m_name

### m_sql_name

    protected java.lang.String m_sql_name

### m_oracle_type

    protected int m_oracle_type

### m_concept_type

    protected int m_concept_type

### m_values

    protected java.util.Vector m_values

Constructor Detail

### ColumnInfo

    public ColumnInfo()

Method Detail

### getName

    public final java.lang.String getName()

  Returns:
    the name of the M4 `Column`

### getSqlName

    public final java.lang.String getSqlName()

  Returns:
    the SQL definition of the M4 `Column`

### setName

    public final void setName(java.lang.String n)

  Parameters:
    `n` - the name of the M4 `Column`

### setSqlName

    public final void setSqlName(java.lang.String n)

  Parameters:
    `n` - the SQL definition of the M4 `Column`

### getDataType

    public final int getDataType()

### getConceptType

    public final int getConceptType()

### setDataType

    public final void setDataType(int v)

### setConceptType

    public final void setConceptType(int v)

### getDataTypeName

    public final java.lang.String getDataTypeName()

### setDataType

    public final void setDataType(java.lang.String n)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setConceptType

    public final void setConceptType(java.lang.String n)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getValues

    public final java.util.Vector getValues()

### addValue

    public final void addValue(java.lang.String s)

### getValueIndex

    public final int getValueIndex(java.lang.Object o)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005